# Interface Collidable

Collide-able objects.

#### Hierarchy

- Collidable

#### Implemented by

- Obstacle
- Pipe

- Defined in Collidable.ts:4

#####
Index

### Methods

collides

## Methods

### collides

- collides(o: Entity): boolean

- Determines when two entities collide

  #### Parameters

  - ##### o: Entity

    other entity

  #### Returns boolean

  - Defined in Collidable.ts:9

Generated using TypeDoc